Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network185.4.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
185.4.0.0
Broadcast address
185.4.127.255
First usable
185.4.0.1
Last usable
185.4.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
B (default /16)
As numbers
Hex B9040000 · Integer 3104047104 to 3104079871
Reverse DNS zones
0.4.185.in-addr.arpa
1.4.185.in-addr.arpa
2.4.185.in-addr.arpa
3.4.185.in-addr.arpa
4.4.185.in-addr.arpa
5.4.185.in-addr.arpa
6.4.185.in-addr.arpa
7.4.185.in-addr.arpa
8.4.185.in-addr.arpa
9.4.185.in-addr.arpa
10.4.185.in-addr.arpa
11.4.185.in-addr.arpa
12.4.185.in-addr.arpa
13.4.185.in-addr.arpa
14.4.185.in-addr.arpa
15.4.185.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10111001.00000100.00000000.00000000185.4.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network10111001.00000100.00000000.00000000185.4.0.0
Broadcast10111001.00000100.01111111.11111111185.4.127.255
Split into smaller subnets/26

185.4.0.0/17 makes 512 subnets of /26; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1185.4.0.0/26185.4.0.1 to 185.4.0.62185.4.0.6362
2185.4.0.64/26185.4.0.65 to 185.4.0.126185.4.0.12762
3185.4.0.128/26185.4.0.129 to 185.4.0.190185.4.0.19162
4185.4.0.192/26185.4.0.193 to 185.4.0.254185.4.0.25562
5185.4.1.0/26185.4.1.1 to 185.4.1.62185.4.1.6362
6185.4.1.64/26185.4.1.65 to 185.4.1.126185.4.1.12762
7185.4.1.128/26185.4.1.129 to 185.4.1.190185.4.1.19162
8185.4.1.192/26185.4.1.193 to 185.4.1.254185.4.1.25562
9185.4.2.0/26185.4.2.1 to 185.4.2.62185.4.2.6362
10185.4.2.64/26185.4.2.65 to 185.4.2.126185.4.2.12762
11185.4.2.128/26185.4.2.129 to 185.4.2.190185.4.2.19162
12185.4.2.192/26185.4.2.193 to 185.4.2.254185.4.2.25562
13185.4.3.0/26185.4.3.1 to 185.4.3.62185.4.3.6362
14185.4.3.64/26185.4.3.65 to 185.4.3.126185.4.3.12762
15185.4.3.128/26185.4.3.129 to 185.4.3.190185.4.3.19162
16185.4.3.192/26185.4.3.193 to 185.4.3.254185.4.3.25562
17185.4.4.0/26185.4.4.1 to 185.4.4.62185.4.4.6362
18185.4.4.64/26185.4.4.65 to 185.4.4.126185.4.4.12762
19185.4.4.128/26185.4.4.129 to 185.4.4.190185.4.4.19162
20185.4.4.192/26185.4.4.193 to 185.4.4.254185.4.4.25562
21185.4.5.0/26185.4.5.1 to 185.4.5.62185.4.5.6362
22185.4.5.64/26185.4.5.65 to 185.4.5.126185.4.5.12762
23185.4.5.128/26185.4.5.129 to 185.4.5.190185.4.5.19162
24185.4.5.192/26185.4.5.193 to 185.4.5.254185.4.5.25562
25185.4.6.0/26185.4.6.1 to 185.4.6.62185.4.6.6362
26185.4.6.64/26185.4.6.65 to 185.4.6.126185.4.6.12762
27185.4.6.128/26185.4.6.129 to 185.4.6.190185.4.6.19162
28185.4.6.192/26185.4.6.193 to 185.4.6.254185.4.6.25562
29185.4.7.0/26185.4.7.1 to 185.4.7.62185.4.7.6362
30185.4.7.64/26185.4.7.65 to 185.4.7.126185.4.7.12762
31185.4.7.128/26185.4.7.129 to 185.4.7.190185.4.7.19162
32185.4.7.192/26185.4.7.193 to 185.4.7.254185.4.7.25562
33185.4.8.0/26185.4.8.1 to 185.4.8.62185.4.8.6362
34185.4.8.64/26185.4.8.65 to 185.4.8.126185.4.8.12762
35185.4.8.128/26185.4.8.129 to 185.4.8.190185.4.8.19162
36185.4.8.192/26185.4.8.193 to 185.4.8.254185.4.8.25562
37185.4.9.0/26185.4.9.1 to 185.4.9.62185.4.9.6362
38185.4.9.64/26185.4.9.65 to 185.4.9.126185.4.9.12762
39185.4.9.128/26185.4.9.129 to 185.4.9.190185.4.9.19162
40185.4.9.192/26185.4.9.193 to 185.4.9.254185.4.9.25562
41185.4.10.0/26185.4.10.1 to 185.4.10.62185.4.10.6362
42185.4.10.64/26185.4.10.65 to 185.4.10.126185.4.10.12762
43185.4.10.128/26185.4.10.129 to 185.4.10.190185.4.10.19162
44185.4.10.192/26185.4.10.193 to 185.4.10.254185.4.10.25562
45185.4.11.0/26185.4.11.1 to 185.4.11.62185.4.11.6362
46185.4.11.64/26185.4.11.65 to 185.4.11.126185.4.11.12762
47185.4.11.128/26185.4.11.129 to 185.4.11.190185.4.11.19162
48185.4.11.192/26185.4.11.193 to 185.4.11.254185.4.11.25562
49185.4.12.0/26185.4.12.1 to 185.4.12.62185.4.12.6362
50185.4.12.64/26185.4.12.65 to 185.4.12.126185.4.12.12762
51185.4.12.128/26185.4.12.129 to 185.4.12.190185.4.12.19162
52185.4.12.192/26185.4.12.193 to 185.4.12.254185.4.12.25562
53185.4.13.0/26185.4.13.1 to 185.4.13.62185.4.13.6362
54185.4.13.64/26185.4.13.65 to 185.4.13.126185.4.13.12762
55185.4.13.128/26185.4.13.129 to 185.4.13.190185.4.13.19162
56185.4.13.192/26185.4.13.193 to 185.4.13.254185.4.13.25562
57185.4.14.0/26185.4.14.1 to 185.4.14.62185.4.14.6362
58185.4.14.64/26185.4.14.65 to 185.4.14.126185.4.14.12762
59185.4.14.128/26185.4.14.129 to 185.4.14.190185.4.14.19162
60185.4.14.192/26185.4.14.193 to 185.4.14.254185.4.14.25562
61185.4.15.0/26185.4.15.1 to 185.4.15.62185.4.15.6362
62185.4.15.64/26185.4.15.65 to 185.4.15.126185.4.15.12762
63185.4.15.128/26185.4.15.129 to 185.4.15.190185.4.15.19162
64185.4.15.192/26185.4.15.193 to 185.4.15.254185.4.15.25562
65185.4.16.0/26185.4.16.1 to 185.4.16.62185.4.16.6362
66185.4.16.64/26185.4.16.65 to 185.4.16.126185.4.16.12762
67185.4.16.128/26185.4.16.129 to 185.4.16.190185.4.16.19162
68185.4.16.192/26185.4.16.193 to 185.4.16.254185.4.16.25562
69185.4.17.0/26185.4.17.1 to 185.4.17.62185.4.17.6362
70185.4.17.64/26185.4.17.65 to 185.4.17.126185.4.17.12762
71185.4.17.128/26185.4.17.129 to 185.4.17.190185.4.17.19162
72185.4.17.192/26185.4.17.193 to 185.4.17.254185.4.17.25562
73185.4.18.0/26185.4.18.1 to 185.4.18.62185.4.18.6362
74185.4.18.64/26185.4.18.65 to 185.4.18.126185.4.18.12762
75185.4.18.128/26185.4.18.129 to 185.4.18.190185.4.18.19162
76185.4.18.192/26185.4.18.193 to 185.4.18.254185.4.18.25562
77185.4.19.0/26185.4.19.1 to 185.4.19.62185.4.19.6362
78185.4.19.64/26185.4.19.65 to 185.4.19.126185.4.19.12762
79185.4.19.128/26185.4.19.129 to 185.4.19.190185.4.19.19162
80185.4.19.192/26185.4.19.193 to 185.4.19.254185.4.19.25562
81185.4.20.0/26185.4.20.1 to 185.4.20.62185.4.20.6362
82185.4.20.64/26185.4.20.65 to 185.4.20.126185.4.20.12762
83185.4.20.128/26185.4.20.129 to 185.4.20.190185.4.20.19162
84185.4.20.192/26185.4.20.193 to 185.4.20.254185.4.20.25562
85185.4.21.0/26185.4.21.1 to 185.4.21.62185.4.21.6362
86185.4.21.64/26185.4.21.65 to 185.4.21.126185.4.21.12762
87185.4.21.128/26185.4.21.129 to 185.4.21.190185.4.21.19162
88185.4.21.192/26185.4.21.193 to 185.4.21.254185.4.21.25562
89185.4.22.0/26185.4.22.1 to 185.4.22.62185.4.22.6362
90185.4.22.64/26185.4.22.65 to 185.4.22.126185.4.22.12762
91185.4.22.128/26185.4.22.129 to 185.4.22.190185.4.22.19162
92185.4.22.192/26185.4.22.193 to 185.4.22.254185.4.22.25562
93185.4.23.0/26185.4.23.1 to 185.4.23.62185.4.23.6362
94185.4.23.64/26185.4.23.65 to 185.4.23.126185.4.23.12762
95185.4.23.128/26185.4.23.129 to 185.4.23.190185.4.23.19162
96185.4.23.192/26185.4.23.193 to 185.4.23.254185.4.23.25562
97185.4.24.0/26185.4.24.1 to 185.4.24.62185.4.24.6362
98185.4.24.64/26185.4.24.65 to 185.4.24.126185.4.24.12762
99185.4.24.128/26185.4.24.129 to 185.4.24.190185.4.24.19162
100185.4.24.192/26185.4.24.193 to 185.4.24.254185.4.24.25562
101185.4.25.0/26185.4.25.1 to 185.4.25.62185.4.25.6362
102185.4.25.64/26185.4.25.65 to 185.4.25.126185.4.25.12762
103185.4.25.128/26185.4.25.129 to 185.4.25.190185.4.25.19162
104185.4.25.192/26185.4.25.193 to 185.4.25.254185.4.25.25562
105185.4.26.0/26185.4.26.1 to 185.4.26.62185.4.26.6362
106185.4.26.64/26185.4.26.65 to 185.4.26.126185.4.26.12762
107185.4.26.128/26185.4.26.129 to 185.4.26.190185.4.26.19162
108185.4.26.192/26185.4.26.193 to 185.4.26.254185.4.26.25562
109185.4.27.0/26185.4.27.1 to 185.4.27.62185.4.27.6362
110185.4.27.64/26185.4.27.65 to 185.4.27.126185.4.27.12762
111185.4.27.128/26185.4.27.129 to 185.4.27.190185.4.27.19162
112185.4.27.192/26185.4.27.193 to 185.4.27.254185.4.27.25562
113185.4.28.0/26185.4.28.1 to 185.4.28.62185.4.28.6362
114185.4.28.64/26185.4.28.65 to 185.4.28.126185.4.28.12762
115185.4.28.128/26185.4.28.129 to 185.4.28.190185.4.28.19162
116185.4.28.192/26185.4.28.193 to 185.4.28.254185.4.28.25562
117185.4.29.0/26185.4.29.1 to 185.4.29.62185.4.29.6362
118185.4.29.64/26185.4.29.65 to 185.4.29.126185.4.29.12762
119185.4.29.128/26185.4.29.129 to 185.4.29.190185.4.29.19162
120185.4.29.192/26185.4.29.193 to 185.4.29.254185.4.29.25562
121185.4.30.0/26185.4.30.1 to 185.4.30.62185.4.30.6362
122185.4.30.64/26185.4.30.65 to 185.4.30.126185.4.30.12762
123185.4.30.128/26185.4.30.129 to 185.4.30.190185.4.30.19162
124185.4.30.192/26185.4.30.193 to 185.4.30.254185.4.30.25562
125185.4.31.0/26185.4.31.1 to 185.4.31.62185.4.31.6362
126185.4.31.64/26185.4.31.65 to 185.4.31.126185.4.31.12762
127185.4.31.128/26185.4.31.129 to 185.4.31.190185.4.31.19162
128185.4.31.192/26185.4.31.193 to 185.4.31.254185.4.31.25562
129185.4.32.0/26185.4.32.1 to 185.4.32.62185.4.32.6362
130185.4.32.64/26185.4.32.65 to 185.4.32.126185.4.32.12762
131185.4.32.128/26185.4.32.129 to 185.4.32.190185.4.32.19162
132185.4.32.192/26185.4.32.193 to 185.4.32.254185.4.32.25562
133185.4.33.0/26185.4.33.1 to 185.4.33.62185.4.33.6362
134185.4.33.64/26185.4.33.65 to 185.4.33.126185.4.33.12762
135185.4.33.128/26185.4.33.129 to 185.4.33.190185.4.33.19162
136185.4.33.192/26185.4.33.193 to 185.4.33.254185.4.33.25562
137185.4.34.0/26185.4.34.1 to 185.4.34.62185.4.34.6362
138185.4.34.64/26185.4.34.65 to 185.4.34.126185.4.34.12762
139185.4.34.128/26185.4.34.129 to 185.4.34.190185.4.34.19162
140185.4.34.192/26185.4.34.193 to 185.4.34.254185.4.34.25562
141185.4.35.0/26185.4.35.1 to 185.4.35.62185.4.35.6362
142185.4.35.64/26185.4.35.65 to 185.4.35.126185.4.35.12762
143185.4.35.128/26185.4.35.129 to 185.4.35.190185.4.35.19162
144185.4.35.192/26185.4.35.193 to 185.4.35.254185.4.35.25562
145185.4.36.0/26185.4.36.1 to 185.4.36.62185.4.36.6362
146185.4.36.64/26185.4.36.65 to 185.4.36.126185.4.36.12762
147185.4.36.128/26185.4.36.129 to 185.4.36.190185.4.36.19162
148185.4.36.192/26185.4.36.193 to 185.4.36.254185.4.36.25562
149185.4.37.0/26185.4.37.1 to 185.4.37.62185.4.37.6362
150185.4.37.64/26185.4.37.65 to 185.4.37.126185.4.37.12762
151185.4.37.128/26185.4.37.129 to 185.4.37.190185.4.37.19162
152185.4.37.192/26185.4.37.193 to 185.4.37.254185.4.37.25562
153185.4.38.0/26185.4.38.1 to 185.4.38.62185.4.38.6362
154185.4.38.64/26185.4.38.65 to 185.4.38.126185.4.38.12762
155185.4.38.128/26185.4.38.129 to 185.4.38.190185.4.38.19162
156185.4.38.192/26185.4.38.193 to 185.4.38.254185.4.38.25562
157185.4.39.0/26185.4.39.1 to 185.4.39.62185.4.39.6362
158185.4.39.64/26185.4.39.65 to 185.4.39.126185.4.39.12762
159185.4.39.128/26185.4.39.129 to 185.4.39.190185.4.39.19162
160185.4.39.192/26185.4.39.193 to 185.4.39.254185.4.39.25562
161185.4.40.0/26185.4.40.1 to 185.4.40.62185.4.40.6362
162185.4.40.64/26185.4.40.65 to 185.4.40.126185.4.40.12762
163185.4.40.128/26185.4.40.129 to 185.4.40.190185.4.40.19162
164185.4.40.192/26185.4.40.193 to 185.4.40.254185.4.40.25562
165185.4.41.0/26185.4.41.1 to 185.4.41.62185.4.41.6362
166185.4.41.64/26185.4.41.65 to 185.4.41.126185.4.41.12762
167185.4.41.128/26185.4.41.129 to 185.4.41.190185.4.41.19162
168185.4.41.192/26185.4.41.193 to 185.4.41.254185.4.41.25562
169185.4.42.0/26185.4.42.1 to 185.4.42.62185.4.42.6362
170185.4.42.64/26185.4.42.65 to 185.4.42.126185.4.42.12762
171185.4.42.128/26185.4.42.129 to 185.4.42.190185.4.42.19162
172185.4.42.192/26185.4.42.193 to 185.4.42.254185.4.42.25562
173185.4.43.0/26185.4.43.1 to 185.4.43.62185.4.43.6362
174185.4.43.64/26185.4.43.65 to 185.4.43.126185.4.43.12762
175185.4.43.128/26185.4.43.129 to 185.4.43.190185.4.43.19162
176185.4.43.192/26185.4.43.193 to 185.4.43.254185.4.43.25562
177185.4.44.0/26185.4.44.1 to 185.4.44.62185.4.44.6362
178185.4.44.64/26185.4.44.65 to 185.4.44.126185.4.44.12762
179185.4.44.128/26185.4.44.129 to 185.4.44.190185.4.44.19162
180185.4.44.192/26185.4.44.193 to 185.4.44.254185.4.44.25562
181185.4.45.0/26185.4.45.1 to 185.4.45.62185.4.45.6362
182185.4.45.64/26185.4.45.65 to 185.4.45.126185.4.45.12762
183185.4.45.128/26185.4.45.129 to 185.4.45.190185.4.45.19162
184185.4.45.192/26185.4.45.193 to 185.4.45.254185.4.45.25562
185185.4.46.0/26185.4.46.1 to 185.4.46.62185.4.46.6362
186185.4.46.64/26185.4.46.65 to 185.4.46.126185.4.46.12762
187185.4.46.128/26185.4.46.129 to 185.4.46.190185.4.46.19162
188185.4.46.192/26185.4.46.193 to 185.4.46.254185.4.46.25562
189185.4.47.0/26185.4.47.1 to 185.4.47.62185.4.47.6362
190185.4.47.64/26185.4.47.65 to 185.4.47.126185.4.47.12762
191185.4.47.128/26185.4.47.129 to 185.4.47.190185.4.47.19162
192185.4.47.192/26185.4.47.193 to 185.4.47.254185.4.47.25562
193185.4.48.0/26185.4.48.1 to 185.4.48.62185.4.48.6362
194185.4.48.64/26185.4.48.65 to 185.4.48.126185.4.48.12762
195185.4.48.128/26185.4.48.129 to 185.4.48.190185.4.48.19162
196185.4.48.192/26185.4.48.193 to 185.4.48.254185.4.48.25562
197185.4.49.0/26185.4.49.1 to 185.4.49.62185.4.49.6362
198185.4.49.64/26185.4.49.65 to 185.4.49.126185.4.49.12762
199185.4.49.128/26185.4.49.129 to 185.4.49.190185.4.49.19162
200185.4.49.192/26185.4.49.193 to 185.4.49.254185.4.49.25562
201185.4.50.0/26185.4.50.1 to 185.4.50.62185.4.50.6362
202185.4.50.64/26185.4.50.65 to 185.4.50.126185.4.50.12762
203185.4.50.128/26185.4.50.129 to 185.4.50.190185.4.50.19162
204185.4.50.192/26185.4.50.193 to 185.4.50.254185.4.50.25562
205185.4.51.0/26185.4.51.1 to 185.4.51.62185.4.51.6362
206185.4.51.64/26185.4.51.65 to 185.4.51.126185.4.51.12762
207185.4.51.128/26185.4.51.129 to 185.4.51.190185.4.51.19162
208185.4.51.192/26185.4.51.193 to 185.4.51.254185.4.51.25562
209185.4.52.0/26185.4.52.1 to 185.4.52.62185.4.52.6362
210185.4.52.64/26185.4.52.65 to 185.4.52.126185.4.52.12762
211185.4.52.128/26185.4.52.129 to 185.4.52.190185.4.52.19162
212185.4.52.192/26185.4.52.193 to 185.4.52.254185.4.52.25562
213185.4.53.0/26185.4.53.1 to 185.4.53.62185.4.53.6362
214185.4.53.64/26185.4.53.65 to 185.4.53.126185.4.53.12762
215185.4.53.128/26185.4.53.129 to 185.4.53.190185.4.53.19162
216185.4.53.192/26185.4.53.193 to 185.4.53.254185.4.53.25562
217185.4.54.0/26185.4.54.1 to 185.4.54.62185.4.54.6362
218185.4.54.64/26185.4.54.65 to 185.4.54.126185.4.54.12762
219185.4.54.128/26185.4.54.129 to 185.4.54.190185.4.54.19162
220185.4.54.192/26185.4.54.193 to 185.4.54.254185.4.54.25562
221185.4.55.0/26185.4.55.1 to 185.4.55.62185.4.55.6362
222185.4.55.64/26185.4.55.65 to 185.4.55.126185.4.55.12762
223185.4.55.128/26185.4.55.129 to 185.4.55.190185.4.55.19162
224185.4.55.192/26185.4.55.193 to 185.4.55.254185.4.55.25562
225185.4.56.0/26185.4.56.1 to 185.4.56.62185.4.56.6362
226185.4.56.64/26185.4.56.65 to 185.4.56.126185.4.56.12762
227185.4.56.128/26185.4.56.129 to 185.4.56.190185.4.56.19162
228185.4.56.192/26185.4.56.193 to 185.4.56.254185.4.56.25562
229185.4.57.0/26185.4.57.1 to 185.4.57.62185.4.57.6362
230185.4.57.64/26185.4.57.65 to 185.4.57.126185.4.57.12762
231185.4.57.128/26185.4.57.129 to 185.4.57.190185.4.57.19162
232185.4.57.192/26185.4.57.193 to 185.4.57.254185.4.57.25562
233185.4.58.0/26185.4.58.1 to 185.4.58.62185.4.58.6362
234185.4.58.64/26185.4.58.65 to 185.4.58.126185.4.58.12762
235185.4.58.128/26185.4.58.129 to 185.4.58.190185.4.58.19162
236185.4.58.192/26185.4.58.193 to 185.4.58.254185.4.58.25562
237185.4.59.0/26185.4.59.1 to 185.4.59.62185.4.59.6362
238185.4.59.64/26185.4.59.65 to 185.4.59.126185.4.59.12762
239185.4.59.128/26185.4.59.129 to 185.4.59.190185.4.59.19162
240185.4.59.192/26185.4.59.193 to 185.4.59.254185.4.59.25562
241185.4.60.0/26185.4.60.1 to 185.4.60.62185.4.60.6362
242185.4.60.64/26185.4.60.65 to 185.4.60.126185.4.60.12762
243185.4.60.128/26185.4.60.129 to 185.4.60.190185.4.60.19162
244185.4.60.192/26185.4.60.193 to 185.4.60.254185.4.60.25562
245185.4.61.0/26185.4.61.1 to 185.4.61.62185.4.61.6362
246185.4.61.64/26185.4.61.65 to 185.4.61.126185.4.61.12762
247185.4.61.128/26185.4.61.129 to 185.4.61.190185.4.61.19162
248185.4.61.192/26185.4.61.193 to 185.4.61.254185.4.61.25562
249185.4.62.0/26185.4.62.1 to 185.4.62.62185.4.62.6362
250185.4.62.64/26185.4.62.65 to 185.4.62.126185.4.62.12762
251185.4.62.128/26185.4.62.129 to 185.4.62.190185.4.62.19162
252185.4.62.192/26185.4.62.193 to 185.4.62.254185.4.62.25562
253185.4.63.0/26185.4.63.1 to 185.4.63.62185.4.63.6362
254185.4.63.64/26185.4.63.65 to 185.4.63.126185.4.63.12762
255185.4.63.128/26185.4.63.129 to 185.4.63.190185.4.63.19162
256185.4.63.192/26185.4.63.193 to 185.4.63.254185.4.63.25562

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses